Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.dm.muws
Interface RelationshipResource

All Superinterfaces:
  Capability, Initialization, InitializationParameters, ManageabilityCapability, Shutdown, WsResourceCapability, org.apache.muse.ws.resource.WsResourceCapabilityProperties, XmlSerializable

All Known Implementing Classes:
  SimpleRelationshipResource

public interface RelationshipResource
extends ManageabilityCapability, XmlSerializable

RelationshipResource is the interface that describes WSDM relationships as WS-RF implied resources. Resources that use this capability represent the relationships that exist between other WS-resources in a system and should not, as a general rule, have any other significant state or interface.

Author:
  Dan Jemiolo (danj)

Field Summary
`static QName[]` | `PROPERTIES`

Method Summary
`EndpointReference` | `getAccessEndpointReference()`
`java.lang.String` | `getName()`
`Participant[]` | `getParticipant()`
`RelationshipType` | `getType()`
`void` | `setName(java.lang.String name)`
`void` | `setParticipant(Participant[] participants)`
`void` | `setType(RelationshipType type)`

Methods inherited from interface org.apache.muse.ws.resource.WsResourceCapability
`deleteProperty, getProperty, getPropertyNames, getWsResource, insertProperty, updateProperty`

Methods inherited from interface org.apache.muse.core.Capability
`getActions, getCapabilityURI, getEnvironment, getLog, getMessageHandler, getPersistence, getResource, initializeCompleted, prepareShutdown, setCapabilityURI, setEnvironment, setLog, setMessageHandlers, setPersistence, setResource`

Methods inherited from interface org.apache.muse.core.Initialization
`hasBeenInitialized, initialize`

Methods inherited from interface org.apache.muse.core.InitializationParameters
`getInitializationParameter, getInitializationParameters, setInitializationParameters`

Methods inherited from interface org.apache.muse.core.Shutdown
`hasBeenShutdown, shutdown`

Methods inherited from interface org.apache.muse.util.xml.XmlSerializable
`toXML, toXML`

Field Detail

### PROPERTIES

    public static final QName[] PROPERTIES

Method Detail

### getAccessEndpointReference

    public EndpointReference getAccessEndpointReference()
                                                 throws BaseFault

  Returns:
    The relationship resource's EPR - this should be the same value returned by Resource.getEndpointReference().
  Throws:
    `BaseFault`
  See Also:
    `Resource.getEndpointReference()`

### getName

    public java.lang.String getName()
                             throws BaseFault

  Returns:
    A descriptive name for this relationship.
  Throws:
    `BaseFault`

### getType

    public RelationshipType getType()
                             throws BaseFault

  Returns:
    The type of this relationship, as defined by an XSD complex type.
  Throws:
    `BaseFault`

### getParticipant

    public Participant[] getParticipant()
                                 throws BaseFault

  Returns:
    The participants in this relationship. The array will have a length of at least 2.
  Throws:
    `BaseFault`

### setName

    public void setName(java.lang.String name)
                 throws BaseFault

  Throws:
    `BaseFault`

### setType

    public void setType(RelationshipType type)
                 throws BaseFault

  Throws:
    `BaseFault`

### setParticipant

    public void setParticipant(Participant[] participants)
                        throws BaseFault

  Parameters:
    `participants` - The participants in this relationship. The array must have a length of at least 2.
  Throws:
    `BaseFault`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD